searchData={"items":[{"type":"module","title":"BaserowEx","doc":"This module defines the external API for the BaserowEx.\nEach function actually delegates to a public function in their respective context","ref":"BaserowEx.html"},{"type":"function","title":"BaserowEx.client/2","doc":"","ref":"BaserowEx.html#client/2"},{"type":"function","title":"BaserowEx.list_workspaces/2","doc":"","ref":"BaserowEx.html#list_workspaces/2"},{"type":"function","title":"BaserowEx.token_auth/3","doc":"","ref":"BaserowEx.html#token_auth/3"},{"type":"function","title":"BaserowEx.token_refresh/2","doc":"","ref":"BaserowEx.html#token_refresh/2"},{"type":"function","title":"BaserowEx.token_verify/2","doc":"","ref":"BaserowEx.html#token_verify/2"},{"type":"module","title":"BaserowEx.BaserowClient","doc":"The Baserow API uses an authentication strategy based on an email and password to obtain your access_token,\nwhich means that when the access_token expires, it will be necessary to call the refresh_token endpoint,\nand when it becomes invalid, it will be necessary to call the initial endpoint passing username and password once again.\n\nThis module is responsible for making these calls, and building a client that will be returned by each BaserowEx function,\ncontaining all the necessary data so that the user does not need to manage the session.","ref":"BaserowEx.BaserowClient.html"},{"type":"function","title":"BaserowEx.BaserowClient.call/2","doc":"calls the authentication endpoint and returns the client with the session data","ref":"BaserowEx.BaserowClient.html#call/2"},{"type":"function","title":"BaserowEx.BaserowClient.try_refresh_token/1","doc":"calls the refresh_token endpoint and returns the client with the new session data","ref":"BaserowEx.BaserowClient.html#try_refresh_token/1"},{"type":"module","title":"BaserowEx.User.TokenAuth","doc":"Authenticates an existing user based on their email and their password.\nIf successful, an access token and a refresh token will be returned.","ref":"BaserowEx.User.TokenAuth.html"},{"type":"function","title":"BaserowEx.User.TokenAuth.call/3","doc":"","ref":"BaserowEx.User.TokenAuth.html#call/3"},{"type":"module","title":"BaserowEx.User.TokenRefresh","doc":"Generate a new access_token that can be used to continue operating on Baserow\nstarting from a valid refresh token.","ref":"BaserowEx.User.TokenRefresh.html"},{"type":"function","title":"BaserowEx.User.TokenRefresh.call/2","doc":"","ref":"BaserowEx.User.TokenRefresh.html#call/2"},{"type":"module","title":"BaserowEx.User.TokenVerify","doc":"Verifies if the refresh token is valid and can be used to generate a new access_token.\nUnlike the original api, which returns other data,\nthis module will only return a boolean saying whether the token is valid or not.","ref":"BaserowEx.User.TokenVerify.html"},{"type":"function","title":"BaserowEx.User.TokenVerify.call/2","doc":"","ref":"BaserowEx.User.TokenVerify.html#call/2"},{"type":"module","title":"BaserowEx.Workspaces.ListWorkspaces","doc":"This module is responsible for listing all workspaces of an authorized user, and will map them into a list of maps containing id and name","ref":"BaserowEx.Workspaces.ListWorkspaces.html"},{"type":"function","title":"BaserowEx.Workspaces.ListWorkspaces.call/2","doc":"this function receives a BaserowEx client, and will make the call to the endpoint that lists the workspaces, managing the token session if necessary.\n\nthe return will be in the standard format of this library:\n{:ok, BaserowClient.Client.t(), list()}\n\nthe client returned in the triple tuple must be used by subsequent calls from the application,\nor even by other calls that are not from this module, this will guarantee session control","ref":"BaserowEx.Workspaces.ListWorkspaces.html#call/2"},{"type":"function","title":"Example - BaserowEx.Workspaces.ListWorkspaces.call/2","doc":"iex> BaserowEx.Workspaces.ListWorkspaces.call(client)\n    {:ok, BaserowClient.Client.t(), [%ResponseParams{id: 0, name: \"workspace_one\"}]","ref":"BaserowEx.Workspaces.ListWorkspaces.html#call/2-example"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}